Lucene search

K
amazonAmazonALAS-2023-1874
HistoryOct 30, 2023 - 11:31 p.m.

Important: libxml2

2023-10-3023:31:00
alas.aws.amazon.com
10
libxml2
use-after-free
xmlunlinknode
update
memory allocation
cve-2023-45322
red hat
mitre
unix

CVSS3

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

AI Score

7.2

Confidence

Low

EPSS

0.001

Percentile

18.8%

Issue Overview:

libxml2 through 2.11.5 has a use-after-free that can only occur after a certain memory allocation fails. This occurs in xmlUnlinkNode in tree.c. NOTE: the vendor’s position is “I don’t think these issues are critical enough to warrant a CVE ID … because an attacker typically can’t control when memory allocations fail.” (CVE-2023-45322)

Affected Packages:

libxml2

Issue Correction:
Run yum update libxml2 to update your system.

New Packages:

i686:  
    libxml2-static-2.9.1-6.6.44.amzn1.i686  
    libxml2-devel-2.9.1-6.6.44.amzn1.i686  
    libxml2-python26-2.9.1-6.6.44.amzn1.i686  
    libxml2-python27-2.9.1-6.6.44.amzn1.i686  
    libxml2-2.9.1-6.6.44.amzn1.i686  
    libxml2-debuginfo-2.9.1-6.6.44.amzn1.i686  
  
src:  
    libxml2-2.9.1-6.6.44.amzn1.src  
  
x86_64:  
    libxml2-python26-2.9.1-6.6.44.amzn1.x86_64  
    libxml2-devel-2.9.1-6.6.44.amzn1.x86_64  
    libxml2-debuginfo-2.9.1-6.6.44.amzn1.x86_64  
    libxml2-python27-2.9.1-6.6.44.amzn1.x86_64  
    libxml2-2.9.1-6.6.44.amzn1.x86_64  
    libxml2-static-2.9.1-6.6.44.amzn1.x86_64  

Additional References

Red Hat: CVE-2023-45322

Mitre: CVE-2023-45322

CVSS3

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

AI Score

7.2

Confidence

Low

EPSS

0.001

Percentile

18.8%